/*
  ftNano
  https://www.blafusel.de
*/

volatile uint16_t cnt;    // must be volatile because changing in IRQ-routine

void setup() {
  pinMode (2, INPUT);
  attachInterrupt(digitalPinToInterrupt(2), count, CHANGE);
  Serial.begin(9600);     // for serial output open "serial monitor"
}

void loop() {
  delay (1000);
  Serial.println(cnt);    // output actual counter value
  cnt = 0;
}

// count interrupts
void count() {
  cnt++;    // increment
}